cascading.flow.planner.rule

## Enum RuleResult.ResultStatus

- java.lang.Object
- - java.lang.Enum<RuleResult.ResultStatus>
  - - cascading.flow.planner.rule.RuleResult.ResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RuleResult.ResultStatus>
  Enclosing class:
    RuleResult

      public static enum RuleResult.ResultStatus
      extends java.lang.Enum<RuleResult.ResultStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ILLEGAL`
    `INTERRUPTED`
    `SUCCESS`
    `UNSUPPORTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleResult.ResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RuleResult.ResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final RuleResult.ResultStatus SUCCESS

    - #### UNSUPPORTED

          public static final RuleResult.ResultStatus UNSUPPORTED

    - #### ILLEGAL

          public static final RuleResult.ResultStatus ILLEGAL

    - #### INTERRUPTED

          public static final RuleResult.ResultStatus INTERRUPTED

  - ### Method Detail

    - #### values

          public static RuleResult.ResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleResult.ResultStatus c : RuleResult.ResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleResult.ResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.